Subject: Re: [PATCH 1/2] usb: Remove broken optimisation in OHCI IRQ handler

From: David Brownell <[email-masked]>
Date: Thu, 6 Dec 2007 08:55:27 -0800

On Sunday 25 November 2007, Benjamin Herrenschmidt wrote:
> While there, any reason why we do the read of the interenable register
> and mask ? Is that actually useful in practice ? I haven't removed it
> but it might be a good candidate if we want to save on MMIO reads.

The code uses that register to keep track of which IRQs are enabled
or disabled, and those enabled IRQs are changed from time to time.

I don't know of any good reason not to keep an in-memory copy of the
resulting mask, though I'd keep an eye out for chip errata.

- Dave